0 CLEAR 1000:WIDTH 80
10 REM THIS PROGRAM IS WRITTEN IN MBASIC AND IS CALLED ECON.BAS
20 CLS
30 PRINT "          ";
40 PRINT:PRINT
50 PRINT "                 ECONOMETRICS UTILITIES";
60 PRINT:PRINT
70 PRINT "                            by                                     ";
80 PRINT "                 Stephen L. White, Ph.D.                             ";
90 PRINT "                               " ;
100 PRINT:PRINT
110 PRINT "          " ;
120 PRINT:PRINT:PRINT
130 PRINT "                     MENU OF PROGRAMS                              ";
140 PRINT:PRINT
150 PRINT "     1. ADJUSTED R                                                "
160 PRINT "     2. F TEST (for usefulness of dropped regression variables)    ";
170 PRINT "     3. CHOW TEST (for equality of coefficients)                   ";
175 PRINT "     4. DURBIN h STATISTIC (for autocorrelation in lagged variables)";
180 PRINT "     5. Return to System                                           ";
190 PRINT:PRINT:PRINT
200 PRINT "What program would you like to run";:INPUT X
210 IF (X = 1) THEN GOTO 230 ELSE IF (X = 2) THEN GOTO 490 ELSE IF (X = 3) THEN GOTO 780 ELSE IF (X=4) THEN GOTO 1200
219 PRINT:PRINT
220 IF (X = 5) THEN SYSTEM
230 CLS
240 PRINT "          Ŀ" ;
250 PRINT "                                                " ;
260 PRINT "             ADJUSTED (or corrected) R SQUARE   " ;
270 PRINT "                                                " ;
280 PRINT "          " ;
290 PRINT:PRINT:PRINT
300 PRINT  "IF THERE IS ONLY ONE INDEPENDENT VARIABLE IN YOUR MODEL, R = ADJUSTED R." ;
310 PRINT:PRINT:PRINT
320 PRINT:PRINT
330 PRINT "What was the R from the regression results" ;:INPUT A
340 PRINT:PRINT
350 PRINT "How many independent variables are in the model";:INPUT B
360 PRINT:PRINT
370 PRINT "How many observations are in the model" ;:INPUT C
380 PRINT:PRINT:PRINT:PRINT
390 LET R=1-(1-A)*((C-1)/(C-B))
400 PRINT "               Adjusted R =" ;R
410 PRINT:PRINT:PRINT
420 Z =R*100
430 PRINT Z" percent of the variation in Y is explained by the model."
440 PRINT:PRINT:PRINT
450 PRINT "Do you want to adjust another R? (Type 1 for YES or 2 for NO)";:INPUT X
460 PRINT:PRINT
470 IF X <2 THEN GOTO 230 ELSE GOTO 20
480 END
490 CLS
500  PRINT "" ;
510 PRINT
520  PRINT "                         F Test" ;
530 PRINT
540 PRINT "FOR DETERMINING USEFULNESS OF DROPPED REGRESSION VARIABLE(S)" ;
550 PRINT
560 PRINT "" ;
570 PRINT:PRINT:PRINT:PRINT
580  PRINT "What is the Error Sum of Squares for the original regression";:INPUT B
590 PRINT:PRINT
600 PRINT "What is the Error Sum of Squares for the restricted regression";:INPUT A
610 PRINT:PRINT
620  PRINT "How many variables from the original regression are dropped";:INPUT C
630 PRINT:PRINT
640 PRINT "How many observations are there";:INPUT D
650 PRINT:PRINT
660 PRINT "How many regressors were in your original model";: INPUT K
670 PRINT:PRINT
675 LET F=((A-B)/C)/(B/(D-K-1))
680 PRINT "           F Statistic = " ;F
690 PRINT:PRINT
700 PRINT "Ho = Dropped variable(s) do not contribute to strength of model"
710 PRINT "           IF OBSERVED F IS < TABLE VALUE, ACCEPT Ho"
720 PRINT "           IF OBSERVED F IS > TABLE VALUE, REJECT Ho"
730 PRINT:PRINT:PRINT
740 PRINT "Do you want to do another F TEST? (Type 1 for YES or 2 for NO)" ;: INPUT X
750 PRINT:PRINT:PRINT:PRINT
760 IF X <2 THEN GOTO 580 ELSE GOTO 20
770 END
780 CLS
790 PRINT "          Ŀ" ;
800 PRINT
810 PRINT "                     CHOW  TEST         " ;
820 PRINT
830 PRINT "           For Equality of Coefficients " ;
840 PRINT
850 PRINT "              (for up to six groups)    " ;
860 PRINT
870 PRINT "          " ;
880 PRINT:PRINT:PRINT
890 PRINT "How many regressors are in the combined model";:INPUT K
900 PRINT:PRINT:PRINT
910 PRINT "How many cases or observations are there";:INPUT N
920 PRINT:PRINT:PRINT
930 PRINT "What is the Error Sum of Squares for the combined model";:INPUT A
940 PRINT:PRINT:PRINT
950 PRINT "How many variables from the original model have been dropped";
960 PRINT "in the new separate regressions";: INPUT R
970 PRINT:PRINT:PRINT
980 PRINT "What are the Error Sums of Squares for each separate regression";
990 PRINT:PRINT:
1000 PRINT  "       1ST ESS" ;: INPUT B
1010 PRINT  "       2nd ESS" ;: INPUT C
1020 PRINT  "       3rd ESS" ;: INPUT D
1030 PRINT  "       4th ESS" ;: INPUT E
1040 PRINT  "       5th ESS" ;: INPUT F
1050 PRINT  "       6th ESS" ;: INPUT G
1060 X=((A-(B+C+D+E+F+G))/R)/((B+C+D+E+F+G)/((N-K)-1))
1070 PRINT:PRINT:PRINT
1080 PRINT "          F = ";X
1090 PRINT:PRINT:PRINT
1100 PRINT "Ho = Every coefficient has the same value in each separate regression.";
1110 PRINT  "       If F = or < table value, accept Ho.";
1120 PRINT: PRINT  "       If F = or > table value, reject Ho.";
1130 PRINT:PRINT:PRINT
1140 PRINT "Do you want to test another set of regressions (1=YES or 2=NO)";:INPUT L
1150 IF L = 1 THEN GOTO 780 ELSE GOTO 20
1160 END
1200 CLS
1210 PRINT "       Ŀ" ;
1220 PRINT "                                       " ;
1230 PRINT "              DURBIN h STATISTIC       " ;
1240 PRINT "                                       " ;
1250 PRINT "       " ;
1260 PRINT:PRINT:PRINT
1270 PRINT "How many observations are in the model";: INPUT C
1280 PRINT:PRINT
1290 PRINT "What is the Standard Error of the Coefficient of the" ;
1295 PRINT " lagged variable" ;: INPUT B
1296 LET M=C*(B^2)
1297 IF (M=>1) THEN GOTO 1421 ELSE 1300
1300 PRINT:PRINT
1310 PRINT "What is the value of the Durbin-Watson Statistic" ;: INPUT A
1330 LET H=(1-(A/2))*(SQR(C/(1-(C*(B^2)))))
1335 PRINT:PRINT
1370 PRINT "          DURBIN h STATISTIC =  " ; H
1380 PRINT:PRINT
1390 PRINT "Use a table for the normal distribution to test" ;
1395 PRINT " Ho = no autocorrelation." ;
1400 PRINT:PRINT
1410 PRINT "Do you want to run this test again? (type 1 for YES or 2 for NO)";:INPUT P
1420 IF P<2 THEN GOTO 1200 ELSE GOTO 20
1421 CLS:BEEP:BEEP:BEEP
1422 PRINT"ERROR: This test will not work if the number of observations"
1423 PRINT"multiplied by the square of the Standard Error of the Coefficient"
1424 PRINT"is equal to or greater than one."
1425 PRINT:PRINT:PRINT:GOTO 1400
1430 END
