{Dump10.pas written by David W. Carroll  4/23/85
 For Turbo Pascal Corner column in
 Micro/Systems Journal - July/Aug 1985
 Copyright 1985 by David W. Carroll
                   P.O. Box 699
                   Pine Grove, CA  95665



}

program dump10;
const
   bell      = 07;
   version   = '10';

type
   datstr        =   string[20];
   datafile      =   file of byte;

var
   infile        :  datafile;
   infname       :  string[20];
   asciitext     :  string[20];
   sec           :  real;
   sec1          :  real;
   col           :  byte;
   dat           :  byte;
   msec          :  byte;
   hsec          :  byte;
   lsec          :  byte;
   goodfile      :  boolean;
   quit          :  boolean;

procedure trans(indat:byte);
type
  chhex = set of 0..15;

var
  ch : char;
  hex : chhex;
  num : byte;

begin
   hex := [48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70];
   {define hex character set}

   num := hex(indat div 16));
   ch := chr(num);
   write(ch);
   ch := chr(hex(indat mod 16));
   write(ch);
end;

procedure Uppercase(var Str : datstr);
var
 indx,len    : Integer;

begin
  Len := length(Str);
  for Indx := 1 to len do
   Str[Indx] := UpCase(Str[Indx])
end;

begin
   asciitext[0] := chr(16);
   sec := 256;
   quit := false;
   ClrScr;
   writeln;
   writeln('File HEX and ASCII DUMP program Version ',version);
   writeln('Copyright 1985 by David W. Carroll');
   writeln;
   window(1,5,80,25);
   repeat
     ClrScr;
     write ('Input filename  -->  ');
     readln (infname);
     if length(infname) > 0 then
     begin
       assign(infile,infname);
       {$I-} reset(infile) {$I+};
       goodfile := (IOresult = 0);
       if not goodfile then
       begin
         write (chr(bell));
         writeln ('FILE ',infname,' NOT FOUND');
         delay(3000)
       end;
     end
     else
     quit := true;
   until goodfile or quit;
   if not quit then
   begin
     uppercase(infname);
     if (pos('.COM',infname)=0) then sec := 0;
     writeln;
     window(1,6,80,25);
     write('Address  00 01 02 03 04 05 06 07  08 09 0A 0B 0C 0D 0E 0F   ');
     writeln('    ASCII TEXT');
     writeln;
     window(1,9,80,25);
     while not eof(infile) do
       begin
         msec := trunc(sec / 65536.0);
         trans(msec);
         write(' ');
         sec1 := sec - (msec * 65536.0);
         hsec := trunc(sec1 / 256);
         lsec := trunc(sec1 - (hsec * 256.0));
         trans(hsec);
         trans(lsec);
         write('  ');
         for col := 1 to 16 do
         begin
           if not eof(infile) then
           begin
             read(infile,dat);
             trans(dat);
             if dat in [32..126] then
               asciitext[col] := chr(dat)
             else
               asciitext[col] := '.';
           end
           else
           begin
             write('  ');
             dat := 0;
             asciitext[col] := ' ';
           end;
           write(' ');
           if col = 8 then write(' ');
         end;
       writeln('  *',asciitext,'*');
       if lsec = 240 then writeln;
       sec := sec + 16;
       end;
     close(infile);
   end;
   if not quit then
   begin
     writeln;
     writeln(' - eof -');
   end;
end.
