* EDIT.PRG simulates the dBASE III EDIT command * * * * * * * * * * *
* by Ward Mundy, 1986.                                              *
*                                                                   *
* Syntax: EDIT <.dbf filename>                                      *
*                                                                   *
* NOTES : All EDIT functionality of dBASE III has been preserved    *
*         except for capability to DELETE & UNDELETE using CTRL_U   *
*         which Clipper currently does not support while in a READ. *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
PARAMETERS THISFILE
 TESTFILE=TRIM(THISFILE)+".DBF"
 IF .NOT. FILE(TESTFILE)
   THISFILE=SPACE(8)
 ELSE
   CLEAR
   ? "One moment please. . ."
 ENDIF
KEYBOARD=""
DO WHILE LASTKEY()<>27
 IF THISFILE=SPACE(8)
  CLEAR
  @ 12,20 SAY "Enter name of data base file:" GET THISFILE PICTURE "!!!!!!!!"
  READ
  IF LASTKEY()=27
   RETURN
  ENDIF
  TESTFILE=TRIM(THISFILE)+".DBF"
  IF .NOT. FILE(TESTFILE)
   CLEAR
   ? "The following data base files are in the default directory:"
   DIR
   WAIT
   LOOP
  ENDIF
 ENDIF
 CLEAR
 ? "One moment please. . ."
 USE &THISFILE
 IF EOF()
  CLEAR
  ? "File is empty and cannot be edited."+chr(7)
  CLOSE DATABASES
  RETURN
 ELSE
  DECLARE FLD[255],FLDTYPE[255],FLDLEN[255],FLDDEC[255]
  FLDNUM=0
  DO FILECHK WITH FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
 ENDIF
 DECLARE FLDDATA[FLDNUM]
 CLEAR GETS
 EDITREC=1
 DO WHILE EDITREC<>0
  CLEAR
  EDITREC=0
  KEYBOARD=""
  @ 14,20
  @ 14,20 SAY "Enter number of record to edit:" GET EDITREC PICTURE '@Z 999999'
  @ 16,20 SAY "Press <ESC> to end processing."
  READ
  CLEAR
  BEGINFLAG=.F.
  IF EDITREC=0 .OR. LASTKEY()=27
   EDITREC=0
   CLOSE DATABASES
   RETURN
  ENDIF
  DO CASE
   CASE EDITREC>LASTREC() .OR. EDITREC<0
     ? CHR(7)
     LOOP
   CASE EDITREC>0
     FINDREC=STR(EDITREC,6)
     GO &FINDREC
     BEGINFLAG=.T.
  ENDCASE
  DO WHILE .NOT. EOF() .AND. .NOT. BOF() .AND. (LASTKEY()=3 .OR. LASTKEY()=18 .OR. BEGINFLAG)
   BEGINFLAG=.F.
   ? "Retrieving record "+STR(RECNO(),6)
   DO READREC WITH FLDDATA,FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
   DO EDITREC WITH FLDDATA,FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
   DO CASE
    CASE LASTKEY()<>27
      ? "Updating record "+STR(RECNO(),6)
      DO WRITEREC WITH FLDDATA,FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
    OTHERWISE
      ? "Update aborted as requested."
      A=INKEY(1)
   ENDCASE
   DO CASE
    CASE LASTKEY()=18
      SKIP -1
    CASE LASTKEY()=3
      SKIP
   ENDCASE
   CLEAR
  ENDDO Loop to another record
 ENDDO Loop to select record
 CLOSE DATABASES
ENDDO Loop to end processing
CLEAR
RETURN

PROCEDURE FILECHK
PARAMETERS FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
COUNTER=1
DO WHILE .NOT. EMPTY(FIELDNAME(COUNTER))
 FLD[COUNTER]=FIELDNAME(COUNTER)
 THISFIELD=FLD[COUNTER]
 FLDTYPE[COUNTER]=TYPE(FLD[COUNTER])
 DO CASE
  CASE FLDTYPE[COUNTER]='C'
    FLDLEN[COUNTER]=LEN(&THISFIELD)
    FLDDEC[COUNTER]=0
  CASE FLDTYPE[COUNTER]='L'
    FLDLEN[COUNTER]=1
    FLDDEC[COUNTER]=0
  CASE FLDTYPE[COUNTER]='D'
    FLDLEN[COUNTER]=8
    FLDDEC[COUNTER]=0
  CASE FLDTYPE[COUNTER]='N'
    THISFIELD=STR(&THISFIELD)
    FLDLEN[COUNTER]=LEN(THISFIELD)
    I=AT(".",THISFIELD)
    IF I=0
     FLDDEC[COUNTER]=0
    ELSE
     FLDDEC[COUNTER]=LEN(THISFIELD)-I
    ENDIF
  CASE FLDTYPE[COUNTER]='M'
    FLDLEN[COUNTER]=7
    FLDDEC[COUNTER]=0
 ENDCASE
 COUNTER=COUNTER+1
ENDDO
FLDNUM=COUNTER-1
RETURN

PROCEDURE READREC
PARAMETERS FLDDATA,FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
FOR I=1 TO FLDNUM
 THISFIELD=FLD[I]
 IF FLDTYPE[I]<>"M"
  FLDDATA[I]=&THISFIELD
 ELSE
  FLDDATA[I]=.F.
 ENDIF
NEXT
RETURN

PROCEDURE EDITREC
PARAMETERS FLDDATA,FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
X=1
Y=0
I=1
DONEFLAG=.F.
CLEAR
DO WHILE .NOT. DONEFLAG
 READFLAG=.F.
 KEYBOARD=""
 @ 0,0 SAY "Record No. "+STR(RECNO(),6)
 IF DELETED()
  @ 0,18 SAY "** DELETED **"
 ENDIF
 DO WHILE I<=FLDNUM .AND. X<24
  DO CASE
   CASE FLDLEN[I]+1+LEN(FLD[I])>80 .AND. Y<>0
    Y=0
    X=X+2
    LC=ROUND(FLDLEN[I]/(79-LEN(FLD[I]))+.5,0)-1
    IF X+LC > 23
     X=24
    ENDIF
    LOOP
   CASE Y+FLDLEN[I]+1+LEN(FLD[I])>80 .AND. Y<>0
    Y=0
    X=X+2
    LOOP
   CASE FLDLEN[I]+1+LEN(FLD[I])>80
    @ X,Y SAY FLD[I] GET FLDDATA[I]
    LC=ROUND(FLDLEN[I]/(79-LEN(FLD[I]))+.49,0)-1
    Y=0
    X=X+2+LC
    READFLAG=.T.
   CASE FLDTYPE[I]="M"
    MEMOFLD=FLD[I]+"*MEMO*"
    @ X,Y SAY MEMOFLD GET FLDDATA[I]
    Y=Y+FLDLEN[I]+3+LEN(FLD[I])
    IF Y>74
     Y=0
     X=X+2
    ENDIF
    READFLAG=.T.
   OTHERWISE
    @ X,Y SAY FLD[I] GET FLDDATA[I]
    Y=Y+FLDLEN[I]+3+LEN(FLD[I])
    IF Y>74
     Y=0
     X=X+2
    ENDIF
    READFLAG=.T.
   ENDCASE
  I=I+1
 ENDDO
 IF I<FLDNUM+1
  @ 24,73 SAY "*MORE*"
 ENDIF
 IF READFLAG
  READ
 ELSE
  ? "No more editable fields exist in this record."
  WAIT
 ENDIF
 CLEAR
 IF (LASTKEY()=3 .OR. LASTKEY()=13) .AND. I<FLDNUM+1
  X=1
  Y=0
  CLEAR
 ELSE
  DONEFLAG=.T.
  CLEAR
 ENDIF
ENDDO
RETURN

PROCEDURE WRITEREC
PARAMETERS FLDDATA,FLD,FLDTYPE,FLDLEN,FLDDEC,FLDNUM
FOR I=1 TO FLDNUM
 DO CASE
  CASE FLDTYPE[I]<>"M"
    THISFIELD=FLD[I]
    REPLACE &THISFIELD WITH FLDDATA[I]
  CASE FLDDATA[I]=.T.
    THISFIELD=FLD[I]
    CLEAR
    @ 0,0 SAY "Record No. "+STR(RECNO(),6)
    IF DELETED()
     @ 0,18 SAY "** DELETED **"
    ENDIF
    @ 0,32 SAY "MEMO EDITOR: "+THISFIELD
    @ 24,3 SAY "EDITING KEYS: Ctrl-W=SAVE  Esc=ABORT  Ctrl-Y=LINE DEL  Ctrl-T=WORD DEL"
    REPLACE &THISFIELD WITH MEMOEDIT(&THISFIELD,2,0,22,74,.T.)
 ENDCASE
NEXT
RETURN
* * * * * * * * * * * * * * * * EDIT.PRG ends here * * * * * * * * * * * * * *
SFIELD,2,0,22,74,.T.)
 ENDCASE
NEXT
RETURN
* * * * * * * * * * * * * * * * EDIT.PRG ends here * * *